OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.StencilTwoSide

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTStencilTwoSide :: MonadIO m => m Bool
- gl_EXT_stencil_two_side :: Bool
- pattern GL_ACTIVE_STENCIL_FACE_EXT :: GLenum
- pattern GL_STENCIL_TEST_TWO_SIDE_EXT :: GLenum
- glActiveStencilFaceEXT :: MonadIO m => GLenum -> m ()

# Extension Support

glGetEXTStencilTwoSide :: MonadIO m => m Bool Source #

Is the EXT_stencil_two_side extension supported?

gl_EXT_stencil_two_side :: Bool Source #

Is the EXT_stencil_two_side extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTStencilTwoSide` in those cases instead.

# Enums

pattern GL_ACTIVE_STENCIL_FACE_EXT :: GLenum Source #

pattern GL_STENCIL_TEST_TWO_SIDE_EXT :: GLenum Source #

# Functions

glActiveStencilFaceEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type StencilFaceDirection.
-> m () |